(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1832,
	height: 960,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfx_point.png", id:"gfx_point"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,299,157);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,257,152);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,359,197);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,343,155);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,882,40);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1151,161);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,321,161);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,337,146);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,335,160);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,265,140);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,207,164);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,332,164);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,252,139);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,233,138);


(lib.gfx_point = function() {
	this.initialize(img.gfx_point);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,53,53);


(lib.gfx_point_mc = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfx_point();
	this.instance.setTransform(-50,-50,1.887,1.887);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-50,-50,100,100);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '12248',
			title: 'Połącz miesiąc z odpowiednią ilością dni.',
			type: 'rope',
			container: this,	
			groupdrags: {		
				1: [1,3,5,7,8,10,12],
				2: [4,6,9,11],
				3: [2,13]
			},
			prefix: 'drag_',
			prefix2: 'drop_',
			prefix3: 'ropepoint_',
			prefix4: 'rope_',
			results: [
				/*drop_1:*/ '',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '1',
				/*drop_5:*/ '1',
				/*drop_6:*/ '1',
				/*drop_7:*/ '1',
				/*drop_8:*/ '1',
				/*drop_9:*/ '2',
				/*drop_10:*/ '2',
				/*drop_11:*/ '2',
				/*drop_12:*/ '2',
				/*drop_13:*/ '3',
				/*drop_14:*/ '3',
				/*drop_15:*/ '',
			],
			range: 100,
			alpha: 1,
			alpha2: 1,
			//scale: 0.8,
			//zindex: 0
			color: '#FFCC00',
			stroke: 10,
			
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {
				container['drop_1'].correct = true;
				container['drop_15'].correct = true;
			},
			exerciseExtraCheck: function(config, dragCurrent, dropIndex, isCorrect) {
				if(config.container['drop_1'].isdrop == false)
					config.container['drop_1'].correct = true;
				if(config.container['drop_15'].isdrop == false)
					config.container['drop_15'].correct = true;
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// drag
	this.drag_13 = new lib.gfx_point_mc();
	this.drag_13.setTransform(1142.2,563.5,0.528,0.528);
	this.drag_13.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_13.cache(-52,-52,104,104);

	this.ropepoint_13 = new lib.gfx_point_mc();
	this.ropepoint_13.setTransform(1142.2,563.5,0.528,0.528);

	this.drag_12 = new lib.gfx_point_mc();
	this.drag_12.setTransform(832.2,241.1,0.528,0.528);
	this.drag_12.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_12.cache(-52,-52,104,104);

	this.ropepoint_12 = new lib.gfx_point_mc();
	this.ropepoint_12.setTransform(832.2,241.1,0.528,0.528);

	this.drag_11 = new lib.gfx_point_mc();
	this.drag_11.setTransform(736.2,469.1,0.528,0.528);
	this.drag_11.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_11.cache(-52,-52,104,104);

	this.ropepoint_11 = new lib.gfx_point_mc();
	this.ropepoint_11.setTransform(736.2,469.1,0.528,0.528);

	this.drag_10 = new lib.gfx_point_mc();
	this.drag_10.setTransform(1696.4,669.2,0.528,0.528);
	this.drag_10.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_10.cache(-52,-52,104,104);

	this.ropepoint_10 = new lib.gfx_point_mc();
	this.ropepoint_10.setTransform(1696.4,669.2,0.528,0.528);

	this.drag_9 = new lib.gfx_point_mc();
	this.drag_9.setTransform(1658.4,399.1,0.528,0.528);
	this.drag_9.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_9.cache(-52,-52,104,104);

	this.ropepoint_9 = new lib.gfx_point_mc();
	this.ropepoint_9.setTransform(1658.4,399.1,0.528,0.528);

	this.drag_8 = new lib.gfx_point_mc();
	this.drag_8.setTransform(1400.3,505.1,0.528,0.528);
	this.drag_8.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_8.cache(-52,-52,104,104);

	this.ropepoint_8 = new lib.gfx_point_mc();
	this.ropepoint_8.setTransform(1400.3,505.1,0.528,0.528);

	this.drag_7 = new lib.gfx_point_mc();
	this.drag_7.setTransform(475.6,543.5,0.528,0.528);
	this.drag_7.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_7.cache(-52,-52,104,104);

	this.drag_6 = new lib.gfx_point_mc();
	this.drag_6.setTransform(1522,221.4,0.528,0.528);
	this.drag_6.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_6.cache(-52,-52,104,104);

	this.drag_5 = new lib.gfx_point_mc();
	this.drag_5.setTransform(1137.9,373.5,0.528,0.528);
	this.drag_5.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_5.cache(-52,-52,104,104);

	this.drag_4 = new lib.gfx_point_mc();
	this.drag_4.setTransform(549.8,243.4,0.528,0.528);
	this.drag_4.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_4.cache(-52,-52,104,104);

	this.drag_3 = new lib.gfx_point_mc();
	this.drag_3.setTransform(169.9,539.5,0.528,0.528);
	this.drag_3.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_3.cache(-52,-52,104,104);

	this.drag_2 = new lib.gfx_point_mc();
	this.drag_2.setTransform(1082.2,563.5,0.528,0.528);
	this.drag_2.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_2.cache(-52,-52,104,104);

	this.drag_1 = new lib.gfx_point_mc();
	this.drag_1.setTransform(144,289.4,0.528,0.528);
	this.drag_1.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_1.cache(-52,-52,104,104);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.ropepoint_8},{t:this.drag_8},{t:this.ropepoint_9},{t:this.drag_9},{t:this.ropepoint_10},{t:this.drag_10},{t:this.ropepoint_11},{t:this.drag_11},{t:this.ropepoint_12},{t:this.drag_12},{t:this.ropepoint_13},{t:this.drag_13}]}).wait(1));

	// rope
	this.ropepoint_7 = new lib.gfx_point_mc();
	this.ropepoint_7.setTransform(475.6,543.5,0.528,0.528);

	this.ropepoint_6 = new lib.gfx_point_mc();
	this.ropepoint_6.setTransform(1522,221.4,0.528,0.528);

	this.ropepoint_5 = new lib.gfx_point_mc();
	this.ropepoint_5.setTransform(1137.9,373.5,0.528,0.528);

	this.ropepoint_4 = new lib.gfx_point_mc();
	this.ropepoint_4.setTransform(549.8,243.4,0.528,0.528);

	this.ropepoint_3 = new lib.gfx_point_mc();
	this.ropepoint_3.setTransform(169.9,539.5,0.528,0.528);

	this.ropepoint_2 = new lib.gfx_point_mc();
	this.ropepoint_2.setTransform(1082.2,563.5,0.528,0.528);

	this.ropepoint_1 = new lib.gfx_point_mc();
	this.ropepoint_1.setTransform(144,289.4,0.528,0.528);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.ropepoint_1},{t:this.ropepoint_2},{t:this.ropepoint_3},{t:this.ropepoint_4},{t:this.ropepoint_5},{t:this.ropepoint_6},{t:this.ropepoint_7}]}).wait(1));

	// drop
	this.drop_1 = new lib.gfx_point_mc();
	this.drop_1.setTransform(369.8,797.4,0.528,0.528);

	this.drop_15 = new lib.gfx_point_mc();
	this.drop_15.setTransform(1429.8,797.4,0.528,0.528);

	this.drop_14 = new lib.gfx_point_mc();
	this.drop_14.setTransform(1209.8,797.4,0.528,0.528);

	this.drop_12 = new lib.gfx_point_mc();
	this.drop_12.setTransform(777.1,793.4,0.528,0.528);

	this.drop_11 = new lib.gfx_point_mc();
	this.drop_11.setTransform(777.1,793.4,0.528,0.528);

	this.drop_10 = new lib.gfx_point_mc();
	this.drop_10.setTransform(777.1,793.4,0.528,0.528);

	this.drop_9 = new lib.gfx_point_mc();
	this.drop_9.setTransform(777.1,793.4,0.528,0.528);

	this.drop_8 = new lib.gfx_point_mc();
	this.drop_8.setTransform(577.1,797.4,0.528,0.528);

	this.drop_7 = new lib.gfx_point_mc();
	this.drop_7.setTransform(577.1,797.4,0.528,0.528);

	this.drop_6 = new lib.gfx_point_mc();
	this.drop_6.setTransform(577.1,797.4,0.528,0.528);

	this.drop_5 = new lib.gfx_point_mc();
	this.drop_5.setTransform(577.1,797.4,0.528,0.528);

	this.drop_4 = new lib.gfx_point_mc();
	this.drop_4.setTransform(577.1,797.4,0.528,0.528);

	this.drop_3 = new lib.gfx_point_mc();
	this.drop_3.setTransform(577.1,797.4,0.528,0.528);

	this.drop_13 = new lib.gfx_point_mc();
	this.drop_13.setTransform(999.8,797.4,0.528,0.528);

	this.drop_2 = new lib.gfx_point_mc();
	this.drop_2.setTransform(577.1,797.4,0.528,0.528);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_2},{t:this.drop_13},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_14},{t:this.drop_15},{t:this.drop_1}]}).wait(1));

	// content
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(317.3,808.8);

	this.instance_1 = new lib.Bitmap13();
	this.instance_1.setTransform(508,598.5);

	this.instance_2 = new lib.Bitmap12();
	this.instance_2.setTransform(1486.6,252.4);

	this.instance_3 = new lib.Bitmap11();
	this.instance_3.setTransform(1454.6,496);

	this.instance_4 = new lib.Bitmap10();
	this.instance_4.setTransform(1277.1,356.4);

	this.instance_5 = new lib.Bitmap9();
	this.instance_5.setTransform(968.1,431.5);

	this.instance_6 = new lib.Bitmap8();
	this.instance_6.setTransform(984.5,241.2);

	this.instance_7 = new lib.Bitmap7();
	this.instance_7.setTransform(581.4,322.2);

	this.instance_8 = new lib.Bitmap6();
	this.instance_8.setTransform(343.9,395);

	this.instance_9 = new lib.Bitmap5();
	this.instance_9.setTransform(50.3,396.5);

	this.instance_10 = new lib.Bitmap4();
	this.instance_10.setTransform(1353.1,73.9);

	this.instance_11 = new lib.Bitmap3();
	this.instance_11.setTransform(754.5,105.9);

	this.instance_12 = new lib.Bitmap2();
	this.instance_12.setTransform(352.9,102.4);

	this.instance_13 = new lib.Bitmap1();
	this.instance_13.setTransform(2.8,131.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_13},{t:this.instance_12},{t:this.instance_11},{t:this.instance_10},{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(2.8,73.9,1826.8,895.9);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.6,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(918.9,553.9,1826.8,895.9);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;